<?php

/**
 * Plugin Name:      Enhancements for WooCommerce
 * Description:      Helps to improve WooCommerce functionality with several tweaks.
 * Author:           Webnestors
 * Author URI:       https://webnestors.com
 * Text Domain:      enhancements-for-woocommerce
 * Domain Path:      /languages
 * Version:          1.1.1
 * Requires PHP:     8.1
 * License:          GPLv2 or later
 * License URI:      https://www.gnu.org/licenses/gpl-2.0.html
 */
if ( !defined( "ABSPATH" ) ) {
    die;
}
require plugin_dir_path( __FILE__ ) . "vendor/autoload.php";
if ( !function_exists( "webnestors_fs" ) ) {
    function webnestors_fs() {
        global $webnestors_fs;
        if ( !isset( $webnestors_fs ) ) {
            require_once dirname( __FILE__ ) . "/freemius/start.php";
            $webnestors_fs = fs_dynamic_init( [
                "id"             => "16523",
                "slug"           => "enhancements-for-woocommerce",
                "type"           => "plugin",
                "public_key"     => "pk_c00b73f9c87a267b8db9dfcf363b7",
                "is_premium"     => false,
                "premium_suffix" => "Pro",
                "has_addons"     => false,
                "has_paid_plans" => true,
                "menu"           => [
                    "slug"    => "enhancements-for-woocommerce",
                    "support" => false,
                ],
                'is_live'        => true,
            ] );
        }
        return $webnestors_fs;
    }

    webnestors_fs();
    do_action( "webnestors_fs_loaded" );
}
\Webnestors\Wsn\Plugin::instance()->init( __FILE__ );